<< ipermute | FOSSEE_Signal_Processing_Toolbox | isallpass >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > is2rc

# is2rc

Convert inverse sine parameters to reflection coefficients

### Syntax

    K = is2rc(isin)

### Parameters

isin:

  input inverse sine parameters. Needs to be an array real numbers

k:

  output reflection coefficients corresponding to the reflection coefficients in input

### Description

This function returns a vector of reflection coefficients from a vector of inverse sine parameters output array has k(i) = sin(pi/2*isin(i))

### Examples

    k = [0.3090 0.9801 0.0031 0.0082 -0.0082]
    isin = rc2is(k)      //Gives inverse sine parameters
    k_dash = is2rc(isin)

### See also

- rc2is — Convert reflection coefficients to inverse sine parameters
- rc2poly — Convert reflection coefficients to prediction polynomial.
- rc2ac — Convert reflection coefficients to autocorrelation sequence.
- rc2lar — Convert reflection coefficient to log area ratios.

### Authors

- Parthe Pandit

### Bibliography

J.R. Deller, J.G. Proakis, J.H.L. Hansen, "Discrete-Time Processing of Speech Signals", Prentice Hall, Section 7.4.5

Report an issue
<< ipermute | FOSSEE_Signal_Processing_Toolbox | isallpass >>